ReactPhysics3D: reactphysics3d::Matrix3x3 Class Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
reactphysics3d::Matrix3x3 Class Reference

This class represents a 3x3 matrix. More...

`#include <include/reactphysics3d/mathematics/Matrix3x3.h>`

## Public Member Functions
| Matrix3x3 ()
| Constructor.
| Matrix3x3 (decimal value)
| Constructor.
| Matrix3x3 (decimal a1, decimal a2, decimal a3, decimal b1, decimal b2, decimal b3, decimal c1, decimal c2, decimal c3)
| Constructor.
void | setAllValues (decimal a1, decimal a2, decimal a3, decimal b1, decimal b2, decimal b3, decimal c1, decimal c2, decimal c3)
| Set all the values in the matrix.
void | setToZero ()
| Set the matrix to zero.
Vector3 | getColumn (int i) const
| Return a column.
Vector3 | getRow (int i) const
| Return a row.
Matrix3x3 | getTranspose () const
| Return the transpose matrix.
decimal | getDeterminant () const
| Return the determinant of the matrix.
decimal | getTrace () const
| Return the trace of the matrix.
Matrix3x3 | getInverse () const
| Return the inverse matrix.
Matrix3x3 | getInverse (decimal determinant) const
| Return the inverse matrix.
Matrix3x3 | getAbsoluteMatrix () const
| Return the matrix with absolute values.
void | setToIdentity ()
| Set the matrix to the identity matrix.
bool | operator== (const Matrix3x3 &matrix) const
| Overloaded operator for equality condition.
bool | operator!= (const Matrix3x3 &matrix) const
| Overloaded operator for the is different condition.
Matrix3x3 & | operator+= (const Matrix3x3 &matrix)
| Overloaded operator for addition with assignment.
Matrix3x3 & | operator-= (const Matrix3x3 &matrix)
| Overloaded operator for substraction with assignment.
Matrix3x3 & | operator*= (decimal nb)
| Overloaded operator for multiplication with a number with assignment.
const Vector3 & | operator[] (int row) const
| Overloaded operator to read element of the matrix.
Vector3 & | operator[] (int row)
| Overloaded operator to read/write element of the matrix.
std::string | to_string () const
| Return the string representation.

## Static Public Member Functions
static Matrix3x3 | identity ()
| Return the 3x3 identity matrix.
static Matrix3x3 | zero ()
| Return the 3x3 zero matrix.
static Matrix3x3 | computeSkewSymmetricMatrixForCrossProduct (const Vector3 &vector)
| Return a skew-symmetric matrix using a given vector that can be used to compute cross product with another vector using matrix multiplication.

## Detailed Description

This class represents a 3x3 matrix.

## Member Function Documentation

## ◆ operator[]() [1/2]

RP3D_FORCE_INLINE Vector3 & reactphysics3d::Matrix3x3::operator[] | ( | int | row | ) |

Overloaded operator to read/write element of the matrix.

This operator is also used to access a matrix value using the syntax matrix[row][col].

## ◆ operator[]() [2/2]

RP3D_FORCE_INLINE const Vector3 & reactphysics3d::Matrix3x3::operator[] | ( | int | row | ) | const

Overloaded operator to read element of the matrix.

This operator is also used to access a matrix value using the syntax matrix[row][col].

The documentation for this class was generated from the following files:

- include/reactphysics3d/mathematics/Matrix3x3.h
- src/mathematics/Matrix3x3.cpp